post
https://test-accounts.payu.in/api/v3/merchants/kyc_document/send_ckyc_otp
The Send CKYC OTP API sends an OTP to the merchant mobile for CKYC verification (Step 03A of 16).
Notes:
- Prerequisites: Step 01 (
mid); Step 02 with entity type Individual or Sole Proprietorship.- Entity applicability: Individual and Sole Proprietorship only. Other entities must use Fetch CKYC Data (Step 03C).
HTTP Method: POST
Environment
| URL | |
|---|---|
| Test Environment | https://test-partner.payu.in/api/v3/merchants/kyc_document/send_ckyc_otp |
| Production Environment | https://partner.payu.in/api/v3/merchants/kyc_document/send_ckyc_otp |
Sample Request
Sample request
curl --location 'https://test-partner.payu.in/api/v3/merchants/kyc_document/send_ckyc_otp' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'Content-Type: application/json' \
--data '{
"merchant_id": "{{mid}}",
"mobile": "{{merchant_mobile}}",
"consent": true
}'Sample Response
Success scenario
Success scenario
{
"message": "OTP sent successfully"
}Failure scenario
Failure scenario
- 422 — Consent not
true, invalid mobile, or PAN not yet verified
{
"error": "Consent is required"
}- 401 Unauthorized — Token invalid or expired
{
"error": "unauthorized",
"message": "Invalid or expired token"
}Response parameters
Response parameters
| Parameter | Description | Example |
|---|---|---|
| message | string — Confirmation that OTP was sent | OTP sent successfully |
Request parameters
Header parameters
Header parameters
| Header | Description | Example |
|---|---|---|
Authorizationmandatory | string — Bearer token from Step 00 (GetToken) | Bearer {{access_token}} |
Content-Typemandatory | string — Must be application/json | application/json |
Body parameters
Body parameters
| Parameter | Description | Example |
|---|---|---|
merchant_idmandatory | string — Numeric mid from Step 01 | 12345678 |
mobilemandatory | string — 10-digit mobile used in Step 01 | 9876543210 |
consentmandatory | boolean — Must be true for CKYC compliance | true |
400Bad Request
401Unauthorized - Invalid or expired token
403Forbidden - No access to this resource
404Not Found
422Validation Failed
500Internal Server Error
